XnModuleScriptNodeInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnModuleProductionNodeInterface * | pProductionNode
const XnChar *(* | GetSupportedFormat )(XnModuleNodeHandle hScript)
XnStatus(* | LoadScriptFromFile )(XnModuleNodeHandle hScript, const XnChar *strFileName)
XnStatus(* | LoadScriptFromString )(XnModuleNodeHandle hScript, const XnChar *strScript)
XnStatus(* | Run )(XnModuleNodeHandle hScript, XnNodeInfoList *pCreatedNodes, XnEnumerationErrors *pErrors)

## Member Data Documentation

## GetSupportedFormat

const XnChar *(* XnModuleScriptNodeInterface::GetSupportedFormat) (XnModuleNodeHandle hScript)

## LoadScriptFromFile

XnStatus(* XnModuleScriptNodeInterface::LoadScriptFromFile) (XnModuleNodeHandle hScript, const XnChar *strFileName)

## LoadScriptFromString

XnStatus(* XnModuleScriptNodeInterface::LoadScriptFromString) (XnModuleNodeHandle hScript, const XnChar *strScript)

## pProductionNode

XnModuleProductionNodeInterface* XnModuleScriptNodeInterface::pProductionNode

## Run

XnStatus(* XnModuleScriptNodeInterface::Run) (XnModuleNodeHandle hScript, XnNodeInfoList *pCreatedNodes, XnEnumerationErrors *pErrors)

The documentation for this struct was generated from the following file:

- XnModuleInterface.h